RESTinio

Public Member Functions | Private Types | Private Attributes | List of all members
restinio::http_field_parsers::impl::params_with_value_producer_t Class Reference

A type of producer that produces instances of parameter_with_mandatory_value_container. More...

`#include <basics.hpp>`

Inheritance diagram for restinio::http_field_parsers::impl::params_with_value_producer_t:

## Public Member Functions
| params_with_value_producer_t ()=default
RESTINIO_NODISCARD auto | try_parse (source_t &from)

## Private Types
using | actual_producer_t = std::decay_t< decltype(params_with_value_producer_details::make_parser()) >

## Private Attributes
actual_producer_t | m_producer

## Additional Inherited Members
Public Types inherited from restinio::easy_parser::impl::producer_tag< parameter_with_mandatory_value_container_t >
using | result_type = parameter_with_mandatory_value_container_t
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< parameter_with_mandatory_value_container_t >
static constexpr entity_type_t | entity_type

## Detailed Description

A type of producer that produces instances of parameter_with_mandatory_value_container.

Since
  v.0.6.1

Definition at line 1632 of file basics.hpp.

## Member Typedef Documentation

## ◆ actual_producer_t

using restinio::http_field_parsers::impl::params_with_value_producer_t::actual_producer_t = std::decay_t< decltype(params_with_value_producer_details::make_parser()) >
| private

Definition at line 1635 of file basics.hpp.

## Constructor & Destructor Documentation

## ◆ params_with_value_producer_t()

restinio::http_field_parsers::impl::params_with_value_producer_t::params_with_value_producer_t | ( |  | ) |
| default

## Member Function Documentation

## ◆ try_parse()

RESTINIO_NODISCARD auto restinio::http_field_parsers::impl::params_with_value_producer_t::try_parse | ( | source_t & | from | ) |
| inline

Definition at line 1646 of file basics.hpp.

## Member Data Documentation

## ◆ m_producer

actual_producer_t restinio::http_field_parsers::impl::params_with_value_producer_t::m_producer
| private

Initial value:
{
params_with_value_producer_details::make_parser() }
restinio::http_field_parsers::impl::params_with_value_producer_details::make_parser
RESTINIO_NODISCARD auto make_parser()
Helper function that creates an instance of producer of parameter_with_mandatory_value_container.
Definition: basics.hpp:1599

Definition at line 1638 of file basics.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/http_field_parsers/basics.hpp